
Figure - Bug #118223
【AF】【EVT3】【Monkey】Monkey测试(4+27个apk)，未执行完所有事件时异常终止
2023-05-25 10:35 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-25

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 稳定性 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0100

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --pct-syskeys 0 -v -v -v

12000000 >/sdcard/monkey.log 2>&1 &

【测试结果】

1、12000000次事件大约可执行60H,实际执行不足12H后停止

2、从开机时长来看，未发生重启现象

History

#1 - 2023-05-25 10:36 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118223

#2 - 2023-05-25 10:36 - CD TEST-方永红

- Priority changed from Normal to High

- Severity changed from Normal to Critical

#3 - 2023-05-25 10:39 - CD FW 曹覃刚

05-25 01:40:46.823 23001 23014 W Monkey  : // Short Msg: Native crash

05-25 01:40:46.824 23001 23014 W Monkey  : // Long Msg: Native crash: Segmentation fault

05-25 01:40:46.824 23001 23014 W Monkey  : // Build Label: HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys

05-25 01:40:46.824 23001 23014 W Monkey  : // Build Changelist: 3388

05-25 01:40:46.824 23001 23014 W Monkey  : // Build Time: 1684175970000

05-25 01:40:46.825 23001 23014 W Monkey  : // * 

05-25 01:40:46.825 23001 23014 W Monkey  : // Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

05-25 01:40:46.825 23001 23014 W Monkey  : // Revision: '0'

05-25 01:40:46.825 23001 23014 W Monkey  : // ABI: 'arm'

05-25 01:40:46.825 23001 23014 W Monkey  : // Timestamp: 2023-05-25 01:40:44.085899364+0800

05-25 01:40:46.825 23001 23014 W Monkey  : // Process uptime: 3s

05-25 01:40:46.825 23001 23014 W Monkey  : // Cmdline: com.tencent.qqlive

05-25 01:40:46.825 23001 23014 W Monkey  : // pid: 9292, tid: 9292, name: .tencent.qqlive  >>> com.tencent.qqlive <<<

05-25 01:40:46.825 23001 23014 W Monkey  : // uid: 10113

05-25 01:40:46.825 23001 23014 W Monkey  : // signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x404
05-25 01:40:46.825 23001 23014 W Monkey  : // Cause: null pointer dereference

05-25 01:40:46.825 23001 23014 W Monkey  : //     r0  00000400  r1  00000000  r2  12c0e7e4  r3  00000013

05-25 01:40:46.825 23001 23014 W Monkey  : //     r4  12c0eb28  r5  12c0e7d0  r6  000000f0  r7  000000f0

05-25 01:40:46.825 23001 23014 W Monkey  : //     r8  00000004  r9  ea3dc138  r10 d7aa20c4  r11 00000018

05-25 01:40:46.825 23001 23014 W Monkey  : //     ip  ff92d430  sp  ff92d2b8  lr  e6126fa7  pc  e6126fcc

05-25 01:40:46.825 23001 23014 W Monkey  : // backtrace:

05-25 01:40:46.825 23001 23014 W Monkey  : //       #00 pc 0035dfcc  /apex/com.android.art/lib/libart.so (art::mirror::Object::CopyObject(art::ObjPtr<art::mirror::Object>,

art::ObjPtr<art::mirror::Object>, unsigned int)+864) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #01 pc 003594e7  /apex/com.android.art/lib/libart.so

(art::mirror::CopyClassVisitor::operator()(art::ObjPtr<art::mirror::Object>, unsigned int) const+58) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #02 pc 0035853b  /apex/com.android.art/lib/libart.so (art::mirror::Object

art::gc::Heap::AllocObjectWithAllocator<true, true, art::mirror::CopyClassVisitor>(art::Thread*, art::ObjPtr<art::mirror::Class>, unsigned int, art::gc::AllocatorType,

art::mirror::CopyClassVisitor const&)+466) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #03 pc 00357aad  /apex/com.android.art/lib/libart.so (art::mirror::Class::CopyOf(art::Handle<art::mirror::Class>,

art::Thread*, int, art::ImTable*, art::PointerSize)+128) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #04 pc 00165719  /apex/com.android.art/lib/libart.so (art::ClassLinker::LinkClass(art::Thread*, char const*,

art::Handle<art::mirror::Class>, art::Handle<art::mirror::ObjectArray<art::mirror::Class> >, art::MutableHandle<art::mirror::Class>*)+924) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #05 pc 001624b5  /apex/com.android.art/lib/libart.so (art::ClassLinker::DefineClass(art::Thread*, char const*, unsigned

int, art::Handle<art::mirror::ClassLoader>, art::DexFile const&, art::dex::ClassDef const&)+916) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #06 pc 00161bd5  /apex/com.android.art/lib/libart.so

(art::ClassLinker::FindClassInBaseDexClassLoaderClassPath(art::ScopedObjectAccessAlreadyRunnable&, char const*, unsigned int,

art::Handle<art::mirror::ClassLoader>, art::ObjPtr<art::mirror::Class>*)+576) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #07 pc 00161533  /apex/com.android.art/lib/libart.so

(art::ClassLinker::FindClassInBaseDexClassLoader(art::ScopedObjectAccessAlreadyRunnable&, art::Thread*, char const*, unsigned int,

art::Handle<art::mirror::ClassLoader>, art::ObjPtr<art::mirror::Class>*)+530) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #08 pc 00162cf7  /apex/com.android.art/lib/libart.so (art::ClassLinker::FindClass(art::Thread*, char const*,

art::Handle<art::mirror::ClassLoader>)+746) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #09 pc 002a8e9f  /apex/com.android.art/lib/libart.so (art::JNI<false>::FindClass(JNIEnv*, char const*)+826) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #10 pc 00009a09 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #11 pc 000177b9 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #12 pc 0001750d 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #13 pc 0000d387 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #14 pc 0000ca43 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #15 pc 0000c853 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #16 pc 002ac221  /apex/com.android.art/lib/libart.so (art::JNI<false>::ExceptionDescribe(_JNIEnv*)+520) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #17 pc 0000c977 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)
05-25 01:40:46.825 23001 23014 W Monkey  : //       #18 pc 0000c683 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #19 pc 0000b397 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #20 pc 0000a11b 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #21 pc 000077b3 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #22 pc 000046e7 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so (BuildId:

95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #23 pc 000044a9 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/lib/arm/librelax.so

(Java_com_tencent_mobileqq_qfix_Relax_relax+28) (BuildId: 95e158b5c4e70fa3991f2143f3113bb5b7bc2fa7)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #24 pc 000f4e8d  /apex/com.android.art/lib/libart.so (art_quick_generic_jni_trampoline+44) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #25 pc 000ebcfc  /apex/com.android.art/lib/libart.so (nterp_helper+2124) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #26 pc 09de7f78 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.mobileqq.qfix.Relax.applyInternal+172)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #27 pc 000f03d5  /apex/com.android.art/lib/libart.so (art_quick_invoke_stub_internal+68) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #28 pc 0050a10d  /apex/com.android.art/lib/libart.so (art_quick_invoke_static_stub+284) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #29 pc 00143c47  /apex/com.android.art/lib/libart.so (art::ArtMethod::Invoke(art::Thread*, unsigned int*, unsigned int,

art::JValue*, char const*)+158) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #30 pc 0024ac89  /apex/com.android.art/lib/libart.so

(art::interpreter::ArtInterpreterToCompiledCodeBridge(art::Thread*, art::ArtMethod*, art::ShadowFrame*, unsigned short, art::JValue*)+208) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #31 pc 0024702f  /apex/com.android.art/lib/libart.so (bool art::interpreter::DoCall<true, false>(art::ArtMethod*,

art::Thread*, art::ShadowFrame&, art::Instruction const*, unsigned short, art::JValue*)+454) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #32 pc 004f8847  /apex/com.android.art/lib/libart.so (MterpInvokeStaticRange+658) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #33 pc 000dde94  /apex/com.android.art/lib/libart.so (mterp_op_invoke_static_range+20) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #34 pc 09de7eaa 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex (com.tencent.mobileqq.qfix.Relax.apply+6)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #35 pc 0023fa8b  /apex/com.android.art/lib/libart.so (art::interpreter::Execute(art::Thread*, art::CodeItemDataAccessor

const&, art::ShadowFrame&, art::JValue, bool, bool)+194) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #36 pc 00245aa5  /apex/com.android.art/lib/libart.so (art::interpreter::EnterInterpreterFromEntryPoint(art::Thread*,

art::CodeItemDataAccessor const&, art::ShadowFrame*)+132) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #37 pc 004df83f  /apex/com.android.art/lib/libart.so (artQuickToInterpreterBridge+566) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #38 pc 000f4f21  /apex/com.android.art/lib/libart.so (art_quick_to_interpreter_bridge+32) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #39 pc 000ebcfc  /apex/com.android.art/lib/libart.so (nterp_helper+2124) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #40 pc 0487449c 
/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.rfix.loader.engine.QFixPatchLoader.tryLoadDexPath+124)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #41 pc 000ebfa0  /apex/com.android.art/lib/libart.so (nterp_helper+2800) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #42 pc 048743fe 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.rfix.loader.engine.QFixPatchLoader.loadPatch+30)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #43 pc 000ec94c  /apex/com.android.art/lib/libart.so (nterp_helper+5276) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #44 pc 04873ae8 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.rfix.loader.engine.PatchLoadEngineBase.loadPatch+72)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #45 pc 000ebfa0  /apex/com.android.art/lib/libart.so (nterp_helper+2800) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #46 pc 0487420e 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.rfix.loader.engine.PatchLoadEngineBase.tryLoadPatchInternal+114)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #47 pc 000ebfa0  /apex/com.android.art/lib/libart.so (nterp_helper+2800) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #48 pc 04873c68 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.rfix.loader.engine.PatchLoadEngineBase.tryLoadPatch+44)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #49 pc 000f03d5  /apex/com.android.art/lib/libart.so (art_quick_invoke_stub_internal+68) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #50 pc 00509fd3  /apex/com.android.art/lib/libart.so (art_quick_invoke_stub+282) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #51 pc 00143c35  /apex/com.android.art/lib/libart.so (art::ArtMethod::Invoke(art::Thread*, unsigned int*, unsigned int,

art::JValue*, char const*)+140) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #52 pc 0024ac89  /apex/com.android.art/lib/libart.so

(art::interpreter::ArtInterpreterToCompiledCodeBridge(art::Thread*, art::ArtMethod*, art::ShadowFrame*, unsigned short, art::JValue*)+208) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #53 pc 0024628d  /apex/com.android.art/lib/libart.so (bool art::interpreter::DoCall<false, false>(art::ArtMethod*,

art::Thread*, art::ShadowFrame&, art::Instruction const*, unsigned short, art::JValue*)+560) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #54 pc 004f3405  /apex/com.android.art/lib/libart.so (MterpInvokeInterface+1316) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #55 pc 000ddc14  /apex/com.android.art/lib/libart.so (mterp_op_invoke_interface+20) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #56 pc 04872e3a 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.rfix.loader.RFixLoader.tryLoad+10)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #57 pc 0023fa8b  /apex/com.android.art/lib/libart.so (art::interpreter::Execute(art::Thread*, art::CodeItemDataAccessor

const&, art::ShadowFrame&, art::JValue, bool, bool)+194) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #58 pc 00245aa5  /apex/com.android.art/lib/libart.so (art::interpreter::EnterInterpreterFromEntryPoint(art::Thread*,

art::CodeItemDataAccessor const&, art::ShadowFrame*)+132) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #59 pc 004df83f  /apex/com.android.art/lib/libart.so (artQuickToInterpreterBridge+566) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #60 pc 000f4f21  /apex/com.android.art/lib/libart.so (art_quick_to_interpreter_bridge+32) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #61 pc 000eb55c  /apex/com.android.art/lib/libart.so (nterp_helper+172) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #62 pc 04872e8c 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.rfix.loader.app.RFixApplication.loadPatch+8)
05-25 01:40:46.825 23001 23014 W Monkey  : //       #63 pc 000ebfa0  /apex/com.android.art/lib/libart.so (nterp_helper+2800) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #64 pc 048730c6 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.rfix.loader.app.RFixApplication.onBaseContextAttached+42)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #65 pc 000ec6a8  /apex/com.android.art/lib/libart.so (nterp_helper+4600) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #66 pc 051080c2 

/data/app/~~iIC8xma9xLsS59-L71KovA==/com.tencent.qqlive-ec7yOM-tJUYNDXUFNoyRZA==/oat/arm/base.vdex

(com.tencent.tinker.loader.app.TinkerApplication.attachBaseContext+42)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #67 pc 001c1c23  /system/framework/arm/boot-framework.oat (android.app.Instrumentation.newApplication+106)

(BuildId: 6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #68 pc 001c925f  /system/framework/arm/boot-framework.oat (android.app.LoadedApk.makeApplication+710)

(BuildId: 6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #69 pc 0027b0b3  /system/framework/arm/boot-framework.oat

(android.app.ActivityThread.handleBindApplication+4938) (BuildId: 6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #70 pc 0027248d  /system/framework/arm/boot-framework.oat (android.app.ActivityThread$H.handleMessage+7436)

(BuildId: 6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #71 pc 00442149  /system/framework/arm/boot-framework.oat (android.os.Handler.dispatchMessage+152) (BuildId:

6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #72 pc 004445db  /system/framework/arm/boot-framework.oat (android.os.Looper.loopOnce+906) (BuildId:

6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #73 pc 004441d7  /system/framework/arm/boot-framework.oat (android.os.Looper.loop+454) (BuildId:

6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #74 pc 00281f6d  /system/framework/arm/boot-framework.oat (android.app.ActivityThread.main+740) (BuildId:

6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #75 pc 000f03d5  /apex/com.android.art/lib/libart.so (art_quick_invoke_stub_internal+68) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #76 pc 0050a10d  /apex/com.android.art/lib/libart.so (art_quick_invoke_static_stub+284) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #77 pc 00143c47  /apex/com.android.art/lib/libart.so (art::ArtMethod::Invoke(art::Thread*, unsigned int*, unsigned int,

art::JValue*, char const*)+158) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #78 pc 00405b45  /apex/com.android.art/lib/libart.so (_jobject*

art::InvokeMethod<(art::PointerSize)4>(art::ScopedObjectAccessAlreadyRunnable const&, _jobject*, _jobject*, _jobject*, unsigned int)+852) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #79 pc 0039972b  /apex/com.android.art/lib/libart.so (art::Method_invoke(_JNIEnv*, _jobject*, _jobject*,

_jobjectArray*)+30) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #80 pc 000aa047  /apex/com.android.art/javalib/arm/boot.oat (art_jni_trampoline+62) (BuildId:

bc4a4838b72c15cb087a0c82842355965f2eb086)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #81 pc 006e76f3  /system/framework/arm/boot-framework.oat

(com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run+122) (BuildId: 6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #82 pc 006ee2f3  /system/framework/arm/boot-framework.oat (com.android.internal.os.ZygoteInit.main+1962)

(BuildId: 6a7f9a2af6c1e76fa2c3bc3c3486dfdecccfc256)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #83 pc 000f03d5  /apex/com.android.art/lib/libart.so (art_quick_invoke_stub_internal+68) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #84 pc 0050a10d  /apex/com.android.art/lib/libart.so (art_quick_invoke_static_stub+284) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #85 pc 00143c47  /apex/com.android.art/lib/libart.so (art::ArtMethod::Invoke(art::Thread*, unsigned int*, unsigned int,

art::JValue*, char const*)+158) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #86 pc 00407091  /apex/com.android.art/lib/libart.so (art::JValue

art::InvokeWithVarArgs<art::ArtMethod*>(art::ScopedObjectAccessAlreadyRunnable const&, _jobject*, art::ArtMethod*, std::_va_list)+348) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #87 pc 0040733f  /apex/com.android.art/lib/libart.so (art::JValue
art::InvokeWithVarArgs<_jmethodID*>(art::ScopedObjectAccessAlreadyRunnable const&, jobject*, _jmethodID*, std::_va_list)+42) (BuildId:

74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #88 pc 00327a97  /apex/com.android.art/lib/libart.so (art::JNI<true>::CallStaticVoidMethodV(JNIEnv*, _jclass*,

_jmethodID*, std::_va_list)+490) (BuildId: 74e98467e8f6c612e69dd5fa35e77e1f)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #89 pc 0007684d  /system/lib/libandroid_runtime.so (JNIEnv::CallStaticVoidMethod(_jclass*, _jmethodID*, ...)+28)

(BuildId: 4ccc3fdc76fec0af666f15a60e826551)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #90 pc 0007f93f  /system/lib/libandroid_runtime.so (android::AndroidRuntime::start(char const*,

android::Vector<android::String8> const&, bool)+510) (BuildId: 4ccc3fdc76fec0af666f15a60e826551)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #91 pc 000026c3  /system/bin/app_process32 (main+1174) (BuildId: de1f325bc4774d3ca60817d918871cba)

05-25 01:40:46.825 23001 23014 W Monkey  : //       #92 pc 0003248b  /apex/com.android.runtime/lib/bionic/libc.so (_libc_init+54) (BuildId:

cc194ef76ee932851b23cc2e4f46d55f)

05-25 01:40:46.825 23001 23014 W Monkey  : //

000344_persist_00178_230525_014047.log:259: 05-25 01:40:48.409 23001 23001 I Monkey  : * New tombstone found: /data/tombstones/tombstone_02, size: 338876

000344_persist_00178_230525_014047.log:428: 05-25 01:40:49.410 23001 23001 I Monkey  : * New tombstone found: /data/tombstones/tombstone_02.pb, size: 229265

000344_persist_00178_230525_014047.log:429: 05-25 01:40:49.410 23001 23001 I Monkey  : * New native crash detected.

000344_persist_00178_230525_014047.log:430: 05-25 01:40:49.410 23001 23001 I Monkey  : * Monkey aborted due to error. 

//腾讯视频报了Native crash，导致Monkey停止了

#4 - 2023-05-26 09:30 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD-DEV 唐军

#5 - 2023-05-26 09:36 - CD TPM-王祥林

军哥，

帮忙调查下腾讯视频crash后，monkey为什么停了呢。还有没有其他原因

#6 - 2023-05-27 11:59 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD-DEV 唐军 to CDTS-TEST 周婷

Hi 周婷

1.问题原因:

monkey停止运行的原因是com.tencent.qqlive发生native crash了.

因为当前的monkey命令会随时检查/data/tombstones/tombstone_开头的文件, 如果存在就表示有native crash, 就会停止monkey.

2.规避停止的方式:

①.monkey测试前需要先清除/data/tombstones/tombstone_开头的文件

②.可以通过-ignore-native-crashes参数可以不让monkey测试受到native crash影响. 当前monkey命令可以考虑添加--ignore-native-crashes来让monkey测试继续. 

因为--ignore-crashes --ignore-timeouts的意图也表明了当前monkey测试尽量不受crash, anr影响.

3.对于com.tencent.qqlive发生的发生的native crash:

属于三方应用问题，在系统侧无法修改

请同步此信息到客户jira票中，谢谢

#7 - 2023-05-27 15:01 - CD FW 曹覃刚

- File 20230527-150105 added
- File 20230527-150059 added

#8 - 2023-06-01 23:15 - CDTS-TEST 周婷

- Category changed from CD-FW to 稳定性

#9 - 2023-06-25 11:25 - CDTS_TEST 王成

- Assignee changed from CDTS-TEST 周婷 to CD TEST-方永红

Monkey问题，一起跟踪

#10 - 2023-07-03 16:00 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

7.3

三方应用CARSH，先关闭

#11 - 2023-07-03 16:00 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#12 - 2023-07-03 16:00 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

20230527-150105 110 KB 2023-05-27 CD FW 曹覃刚

20230527-150059 156 KB 2023-05-27 CD FW 曹覃刚
